package ssw.mj.test;

public class Configuration {
	/**
	 * Number of the current exercise (2 to 6).
	 * This enables the correct test cases for each exercise:
	 * 2: Only Scanner
	 * 3: Parser without semantic actions
	 * 4: Symbol table and error recovery
	 * 5: Code generation for expressions
	 * 6: Full code generation
	 */
	public static final int CURRENT_EXERCISE = 2;
	
	/**
	 * set to true to print expected and actual values of
	 * all output (errors, tokens, symbol table, code)
	 */
	public static final boolean PRINT_ALL_OUTPUT = false;
}
